# Method: properties.rollupPropertySourceLinks.get

- [HTTP request](https://developers.google.com/analytics/devguides/config/admin/v1/rest/v1alpha/properties.rollupPropertySourceLinks/get#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/analytics/devguides/config/admin/v1/rest/v1alpha/properties.rollupPropertySourceLinks/get#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/analytics/devguides/config/admin/v1/rest/v1alpha/properties.rollupPropertySourceLinks/get#body.request_body)
- [Response body](https://developers.google.com/analytics/devguides/config/admin/v1/rest/v1alpha/properties.rollupPropertySourceLinks/get#body.response_body)
- [Authorization scopes](https://developers.google.com/analytics/devguides/config/admin/v1/rest/v1alpha/properties.rollupPropertySourceLinks/get#body.aspect)
- [Try it!](https://developers.google.com/analytics/devguides/config/admin/v1/rest/v1alpha/properties.rollupPropertySourceLinks/get#try-it)

Lookup for a single roll-up property source Link. Only roll-up properties can have source links, so this method will throw an error if used on other types of properties.

### HTTP request

`GET https://analyticsadmin.googleapis.com/v1alpha/{name=properties/*/rollupPropertySourceLinks/*}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. The name of the roll-up property source link to lookup. Format: properties/{property_id}/rollupPropertySourceLinks/{rollup_property_source_link_id} Example: properties/123/rollupPropertySourceLinks/456 |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://developers.google.com/analytics/devguides/config/admin/v1/rest/v1alpha/properties.rollupPropertySourceLinks#RollupPropertySourceLink`.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/analytics.readonly`
- `https://www.googleapis.com/auth/analytics.edit`